## org.eclipse.uml2.uml
Interface ActivityGroup

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ActivityPartition, ConditionalNode, ExpansionRegion, InterruptibleActivityRegion, LoopNode, SequenceNode, StructuredActivityNode

    public interface ActivityGroup

extends Element

A representation of the model object 'Activity Group'. ActivityGroup is an abstract class for defining sets of nodes and edges in an activity.

The following features are supported:

- `Subgroup`
- `Super Group`
- `In Activity`
- `Contained Edge`
- `Contained Node`

See Also:
  `UMLPackage.getActivityGroup()`

Method Summary
`ActivityEdge` `getContainedEdge(java.lang.String name)` Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Contained Edge' reference list
`ActivityEdge` `getContainedEdge(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Contained Edge' reference list
`org.eclipse.emf.common.util.EList<ActivityEdge>` `getContainedEdges()` Returns the value of the 'Contained Edge' reference list.
`ActivityNode` `getContainedNode(java.lang.String name)` Retrieves the first `ActivityNode` with the specified 'Name' from the 'Contained Node' reference list
`ActivityNode` `getContainedNode(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `ActivityNode` with the specified 'Name' from the 'Contained Node' reference list
`org.eclipse.emf.common.util.EList<ActivityNode>` `getContainedNodes()` Returns the value of the 'Contained Node' reference list.
`Activity` `getInActivity()` Returns the value of the 'In Activity' container reference.
`org.eclipse.emf.common.util.EList<ActivityGroup>` `getSubgroups()` Returns the value of the 'Subgroup' reference list.
`ActivityGroup` `getSuperGroup()` Returns the value of the 'Super Group' reference.
`void` `setInActivity(Activity value)` Sets the value of the '`In Activity`' container reference
`boolean` `validateGroupOwned(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Groups may only be owned by activities or groups.
`boolean` `validateNodesAndEdges(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` All nodes and edges of the group must be in the same activity as the group.
`boolean` `validateNotContained(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` No node or edge in a group may be contained by its subgroups or its containing groups, transitively.

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSubgroups

    org.eclipse.emf.common.util.EList<ActivityGroup> getSubgroups()

  Returns the value of the 'Subgroup' reference list. The list contents are of type `ActivityGroup`. It is bidirectional and its opposite is '`Super Group`'. Groups immediately contained in the group.

  Returns:
    the value of the 'Subgroup' reference list.
  See Also:
    `UMLPackage.getActivityGroup_Subgroup()`, `getSuperGroup()`

### getSuperGroup

    ActivityGroup getSuperGroup()

  Returns the value of the 'Super Group' reference. It is bidirectional and its opposite is '`Subgroup`'. Group immediately containing the group.

  Returns:
    the value of the 'Super Group' reference.
  See Also:
    `UMLPackage.getActivityGroup_SuperGroup()`, `getSubgroups()`

### getContainedNodes

    org.eclipse.emf.common.util.EList<ActivityNode> getContainedNodes()

  Returns the value of the 'Contained Node' reference list. The list contents are of type `ActivityNode`. It is bidirectional and its opposite is '`In Group`'. Nodes immediately contained in the group.

  Returns:
    the value of the 'Contained Node' reference list.
  See Also:
    `UMLPackage.getActivityGroup_ContainedNode()`, `ActivityNode.getInGroups()`

### getContainedNode

    ActivityNode getContainedNode(java.lang.String name)

  Retrieves the first `ActivityNode` with the specified 'Name' from the 'Contained Node' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityNode` to retrieve, or `null`.
  Returns:
    The first `ActivityNode` with the specified 'Name', or `null`.
  See Also:
    `getContainedNodes()`

### getContainedNode

    ActivityNode getContainedNode(java.lang.String name,
                                  boolean ignoreCase,
                                  org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `ActivityNode` with the specified 'Name' from the 'Contained Node' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityNode` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `ActivityNode` to retrieve, or `null`.
  Returns:
    The first `ActivityNode` with the specified 'Name', or `null`.
  See Also:
    `getContainedNodes()`

### getInActivity

    Activity getInActivity()

  Returns the value of the 'In Activity' container reference. It is bidirectional and its opposite is '`Group`'. Activity containing the group.

  Returns:
    the value of the 'In Activity' container reference.
  See Also:
    `setInActivity(Activity)`, `UMLPackage.getActivityGroup_InActivity()`, `Activity.getGroups()`

### setInActivity

    void setInActivity(Activity value)

  Sets the value of the '`In Activity`' container reference.

  Parameters:
    `value` - the new value of the 'In Activity' container reference.
  See Also:
    `getInActivity()`

### getContainedEdges

    org.eclipse.emf.common.util.EList<ActivityEdge> getContainedEdges()

  Returns the value of the 'Contained Edge' reference list. The list contents are of type `ActivityEdge`. It is bidirectional and its opposite is '`In Group`'. Edges immediately contained in the group.

  Returns:
    the value of the 'Contained Edge' reference list.
  See Also:
    `UMLPackage.getActivityGroup_ContainedEdge()`, `ActivityEdge.getInGroups()`

### getContainedEdge

    ActivityEdge getContainedEdge(java.lang.String name)

  Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Contained Edge' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityEdge` to retrieve, or `null`.
  Returns:
    The first `ActivityEdge` with the specified 'Name', or `null`.
  See Also:
    `getContainedEdges()`

### getContainedEdge

    ActivityEdge getContainedEdge(java.lang.String name,
                                  boolean ignoreCase,
                                  org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Contained Edge' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityEdge` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `ActivityEdge` to retrieve, or `null`.
  Returns:
    The first `ActivityEdge` with the specified 'Name', or `null`.
  See Also:
    `getContainedEdges()`

### validateNodesAndEdges

    boolean validateNodesAndEdges(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

  All nodes and edges of the group must be in the same activity as the group. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateNotContained

    boolean validateNotContained(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  No node or edge in a group may be contained by its subgroups or its containing groups, transitively. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateGroupOwned

    boolean validateGroupOwned(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map<java.lang.Object,java.lang.Object> context)

  Groups may only be owned by activities or groups. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.